## org.apache.lucene.facet.complements
Class TotalFacetCounts

    java.lang.Object
      org.apache.lucene.facet.complements.TotalFacetCounts

    public class TotalFacetCounts

extends Object

Maintain Total Facet Counts per partition, for given parameters:

- Index reader of an index
- Taxonomy index reader
- Facet indexing params (and particularly the category list params)

The total facet counts are maintained as an array of arrays of integers, where a separate array is kept for each partition.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Method Summary
`void` `fillTotalCountsForPartition(int[] partitionArray, int partition)` Fill a partition's array with the TotalCountsArray values.
`int` `getTotalCount(int ordinal)` Return the total count of an input category

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### fillTotalCountsForPartition

    public void fillTotalCountsForPartition(int[] partitionArray,
                                            int partition)

  Fill a partition's array with the TotalCountsArray values.

  Parameters:
    `partitionArray` - array to fill
    `partition` - number of required partition

### getTotalCount

    public int getTotalCount(int ordinal)

  Return the total count of an input category

  Parameters:
    `ordinal` - ordinal of category whose total count is required

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.